import { createFunctionTemplate as publicCreateFunctionTemplate, updateFunctionTemplate as publicUpdateFunctionTemplate, queryFunctionTemplates as publicQueryFunctionTemplates } from './functions-templates-v1-function-template-function-templates.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onFunctionTemplateCreated as publicOnFunctionTemplateCreated } from './functions-templates-v1-function-template-function-templates.public.js';
import { onFunctionTemplateUpdated as publicOnFunctionTemplateUpdated } from './functions-templates-v1-function-template-function-templates.public.js';
export declare const createFunctionTemplate: MaybeContext<BuildRESTFunction<typeof publicCreateFunctionTemplate> & typeof publicCreateFunctionTemplate>;
export declare const updateFunctionTemplate: MaybeContext<BuildRESTFunction<typeof publicUpdateFunctionTemplate> & typeof publicUpdateFunctionTemplate>;
export declare const queryFunctionTemplates: MaybeContext<BuildRESTFunction<typeof publicQueryFunctionTemplates> & typeof publicQueryFunctionTemplates>;
/**
 * as we don't persist data we need to think if we need domain events for this API, if yes we will need not to forget to
 * trigger the event on the right place.
 */
export declare const onFunctionTemplateCreated: ReturnType<typeof createEventModule<typeof publicOnFunctionTemplateCreated>>;
/** */
export declare const onFunctionTemplateUpdated: ReturnType<typeof createEventModule<typeof publicOnFunctionTemplateUpdated>>;
export { SortOrder, WebhookIdentityType, } from './functions-templates-v1-function-template-function-templates.universal.js';
export { FunctionTemplate, CreateFunctionTemplateRequest, CreateFunctionTemplateResponse, UpdateFunctionTemplateRequest, UpdateFunctionTemplateResponse, QueryFunctionTemplatesRequest, CursorQuery, CursorQueryPagingMethodOneOf, Sorting, CursorPaging, QueryFunctionTemplatesResponse, CursorPagingMetadata, Cursors, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, FunctionTemplateCreatedEnvelope, FunctionTemplateUpdatedEnvelope, UpdateFunctionTemplate, FunctionTemplatesQueryResult, FunctionTemplatesQueryBuilder, } from './functions-templates-v1-function-template-function-templates.universal.js';
