import { renameKeysFromRESTResponseToSDKResponse } from '@wix/sdk-runtime/rename-all-nested-keys';
import { transformRESTTimestampToSDKTimestamp } from '@wix/sdk-runtime/transformations/timestamp';
import { transformPaths } from '@wix/sdk-runtime/transformations/transform-paths';
import { EventDefinition } from '@wix/sdk-types';
import { createFunctionTemplate as universalCreateFunctionTemplate, queryFunctionTemplates as universalQueryFunctionTemplates, updateFunctionTemplate as universalUpdateFunctionTemplate, } from './functions-templates-v1-function-template-function-templates.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/functions' };
export function createFunctionTemplate(httpClient) {
    return (functionTemplate) => universalCreateFunctionTemplate(functionTemplate, 
    // @ts-ignore
    { httpClient });
}
export function updateFunctionTemplate(httpClient) {
    return (_id, functionTemplate) => universalUpdateFunctionTemplate(_id, functionTemplate, 
    // @ts-ignore
    { httpClient });
}
export function queryFunctionTemplates(httpClient) {
    return () => universalQueryFunctionTemplates(
    // @ts-ignore
    { httpClient });
}
export const onFunctionTemplateCreated = EventDefinition('wix.functions.templates.v1.function_template_created', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
export const onFunctionTemplateUpdated = EventDefinition('wix.functions.templates.v1.function_template_updated', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
export { SortOrder, WebhookIdentityType, } from './functions-templates-v1-function-template-function-templates.universal.js';
//# sourceMappingURL=functions-templates-v1-function-template-function-templates.public.js.map