import { EventDefinition, HttpClient } from '@wix/sdk-types';
import { FunctionTemplate, FunctionTemplateCreatedEnvelope, FunctionTemplateUpdatedEnvelope, FunctionTemplatesQueryBuilder, UpdateFunctionTemplate } from './functions-templates-v1-function-template-function-templates.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function createFunctionTemplate(httpClient: HttpClient): CreateFunctionTemplateSignature;
interface CreateFunctionTemplateSignature {
    /**
     * Creates a FunctionTemplate
     * @param - FunctionTemplate to be created.
     * @returns The created FunctionTemplate.
     */
    (functionTemplate: FunctionTemplate): Promise<FunctionTemplate>;
}
export declare function updateFunctionTemplate(httpClient: HttpClient): UpdateFunctionTemplateSignature;
interface UpdateFunctionTemplateSignature {
    /**
     * Updates a FunctionTemplate.
     * @param - dev center component id
     * @returns Updated FunctionTemplate.
     */
    (_id: string | null, functionTemplate: UpdateFunctionTemplate): Promise<FunctionTemplate>;
}
export declare function queryFunctionTemplates(httpClient: HttpClient): QueryFunctionTemplatesSignature;
interface QueryFunctionTemplatesSignature {
    /**
     * Retrieves a list of FunctionTemplates, should  we support paging, filtering, and sorting in this api?
     */
    (): FunctionTemplatesQueryBuilder;
}
export declare const onFunctionTemplateCreated: EventDefinition<FunctionTemplateCreatedEnvelope, "wix.functions.templates.v1.function_template_created">;
export declare const onFunctionTemplateUpdated: EventDefinition<FunctionTemplateUpdatedEnvelope, "wix.functions.templates.v1.function_template_updated">;
export { ActionEvent, BaseEventMetadata, CreateFunctionTemplateRequest, CreateFunctionTemplateResponse, CursorPaging, CursorPagingMetadata, CursorQuery, CursorQueryPagingMethodOneOf, Cursors, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, EventMetadata, FunctionTemplate, FunctionTemplateCreatedEnvelope, FunctionTemplateUpdatedEnvelope, FunctionTemplatesQueryBuilder, FunctionTemplatesQueryResult, IdentificationData, IdentificationDataIdOneOf, MessageEnvelope, QueryFunctionTemplatesRequest, QueryFunctionTemplatesResponse, RestoreInfo, SortOrder, Sorting, UpdateFunctionTemplate, UpdateFunctionTemplateRequest, UpdateFunctionTemplateResponse, WebhookIdentityType, } from './functions-templates-v1-function-template-function-templates.universal.js';
