"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.onFunctionTemplateUpdated = exports.onFunctionTemplateCreated = exports.queryFunctionTemplates = exports.updateFunctionTemplate = exports.createFunctionTemplate = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const functions_templates_v1_function_template_function_templates_universal_js_1 = require("./functions-templates-v1-function-template-function-templates.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/functions' };
function createFunctionTemplate(httpClient) {
    return (functionTemplate) => (0, functions_templates_v1_function_template_function_templates_universal_js_1.createFunctionTemplate)(functionTemplate, 
    // @ts-ignore
    { httpClient });
}
exports.createFunctionTemplate = createFunctionTemplate;
function updateFunctionTemplate(httpClient) {
    return (_id, functionTemplate) => (0, functions_templates_v1_function_template_function_templates_universal_js_1.updateFunctionTemplate)(_id, functionTemplate, 
    // @ts-ignore
    { httpClient });
}
exports.updateFunctionTemplate = updateFunctionTemplate;
function queryFunctionTemplates(httpClient) {
    return () => (0, functions_templates_v1_function_template_function_templates_universal_js_1.queryFunctionTemplates)(
    // @ts-ignore
    { httpClient });
}
exports.queryFunctionTemplates = queryFunctionTemplates;
exports.onFunctionTemplateCreated = (0, sdk_types_1.EventDefinition)('wix.functions.templates.v1.function_template_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onFunctionTemplateUpdated = (0, sdk_types_1.EventDefinition)('wix.functions.templates.v1.function_template_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
var functions_templates_v1_function_template_function_templates_universal_js_2 = require("./functions-templates-v1-function-template-function-templates.universal.js");
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return functions_templates_v1_function_template_function_templates_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return functions_templates_v1_function_template_function_templates_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=functions-templates-v1-function-template-function-templates.public.js.map